package com.zt.plat.module.qms.thirdpartyapi.service;

import java.util.List;

import com.zt.plat.module.qms.thirdpartyapi.controller.vo.ThirdpartyXntSampleEntrustReqVO;

/**
 * 西南铜委托服务接口
 */
public interface ThirdpartyXntSampleEntrustService {

	/**
	 * 创建原料委托
	 * @param sampleEntrustReqVOList
	 */
	void createRawMaterial(List<ThirdpartyXntSampleEntrustReqVO> sampleEntrustReqVOList);

	/**
	 * 创建供方委托
	 * @param sampleEntrustReqVOList
	 */
	void createSupplier(List<ThirdpartyXntSampleEntrustReqVO> sampleEntrustReqVOList);

	/**
	 * 创建产品委托
	 * @param sampleEntrustReqVOList
	 */
	void createProduct(List<ThirdpartyXntSampleEntrustReqVO> sampleEntrustReqVOList);

	/**
	 * 创建中控委托
	 * @param sampleEntrustReqVOList
	 */
	void createInProcessControl(List<ThirdpartyXntSampleEntrustReqVO> sampleEntrustReqVOList);

	/**
	 * 创建复测委托
	 * @param sampleEntrustReqVOList
	 */
	void createReTest(List<ThirdpartyXntSampleEntrustReqVO> sampleEntrustReqVOList);

	/**
	 * 创建产品复测委托
	 * @param sampleEntrustReqVOList
	 */
	void createProductReTest(List<ThirdpartyXntSampleEntrustReqVO> sampleEntrustReqVOList);

	/**
	 * 创建中心留样复测委托
	 * @param sampleEntrustReqVOList
	 */
	void createCentralRetentionReTest(List<ThirdpartyXntSampleEntrustReqVO> sampleEntrustReqVOList);

	/**
	 * 创建临时样委托
	 * @param sampleEntrustReqVOList
	 */
	void createTemporary(List<ThirdpartyXntSampleEntrustReqVO> sampleEntrustReqVOList);

}
